
/* $Id: Controller.h,v 1.2 1996/10/12 14:30:34 vkyr Exp vkyr $ */

#import <appkit/appkit.h>
#import <objc/Object.h>


@interface Controller:Object
{
	id openButton;  	// Open in TeXview button outlet
	id pagesField;		// a textfield outlet
    id widthField;		// a textfield outlet
    id heightField;		// a textfield outlet
	id openReq;	    	// an OpenPanel outlet 	
    id stringSet;		// an external string resource outlet
	id myWindow;		// the main window (object) outlet
	id myUnits;			// a units popup menu outlet
    id prefsController;	// the PrefsController access outlet
    id infoPanel;		// an info panel outlet
	id dragImage;		// a dragimage outlet
	id dragImageView;	// a dragview outlet
	id resizeButton;	// the resize button outlet
	
	/* Id's for manually programmed stuff */
	
	id dummyWindow;		// an invisible window to hold the below SrollViews
	id fontsScrollView; // a scrollview to hold the fonts list
	id fontsText;       // text for the fontsScrollView
	id dummyScrollView; // a dummy scrollview to format stuff for printing
	id dummyText;		// text for the dummyScrollView
	
	NXRect initViewSize, aRect;
	NXSize aSize;
}

- appDidInit:sender;
- infoPanel:sender;
- showError:(const char *)errorMessage;
- selectAll:sender;
- openInTexview: sender;
- openRequest:sender;
- (int)openDviFile:(const char *)fileName;
- process_dvi_file:(FILE *)df;
- copytext:sender;
- printRequest:sender;
- cms:sender;
- inches:sender;
- points:sender;
- picas:sender;
- getMyWindow;
- getFonts;
- getPages;
- getHeight;
- getWidth;
- getMyUnits;
- getOpenButton;
- setMyUnits;
- setDummyWindow;
- setFontsScrollView;
- setDummyScrollView;
- resizeWindow:sender;

@end

@interface Window(Sizing)
- sizeWindow:(NXCoord)width :(NXCoord)height byCorner:(int)corner;
@end