/* $Id: DragImageView.h,v 1.1 1996/10/12 14:30:34 vkyr Exp vkyr $ */

#import <appkit/appkit.h>

@interface DragImageView:View
{
    id	newImage;      // holds the displayed icons
	id  controlObj;    // reference to the Controller object
	BOOL sSwitch;
}

- initFrame:(const NXRect *)theFrame;
- (NXDragOperation)draggingEntered:sender;
- (NXDragOperation)draggingUpdated:sender;
- (BOOL)performDragOperation:sender;
- draggingExited:sender;
- concludeDragOperation:sender;
- drawSelf:(const NXRect *)rects :(int)count;
- setImage:aImage;
- setScaleState:(BOOL)state;

@end
